> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Trust

> DeleteTrust deletes a trust for a service principal.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/service_principals/{service_principal_id}/trusts/{client_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/service_principals/{service_principal_id}/trusts/{client_id}:
    delete:
      tags:
        - Workload Federation
      summary: Delete Trust
      description: DeleteTrust deletes a trust for a service principal.
      operationId: c1.api.workload_federation.v1.WorkloadFederationService.DeleteTrust
      parameters:
        - in: path
          name: service_principal_id
          required: true
          schema:
            description: The service principal ID (from URL path).
            readOnly: false
            type: string
        - in: path
          name: client_id
          required: true
          schema:
            description: >-
              The trust client ID. Accepts the cutename (e.g.
              "clever-fox-42195") or the
               full client ID (e.g. "clever-fox-42195@acme.conductorone.com/wfe").
               The server normalizes to the cutename portion before lookup.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.workload_federation.v1.WorkloadFederationServiceDeleteTrustRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.workload_federation.v1.WorkloadFederationServiceDeleteTrustResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: DeleteTrust
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.WorkloadFederation.DeleteTrust(ctx, operations.C1APIWorkloadFederationV1WorkloadFederationServiceDeleteTrustRequest{\n        ClientID: \"<id>\",\n        ServicePrincipalID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.WorkloadFederationServiceDeleteTrustResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.workloadFederation.deleteTrust({
                servicePrincipalId: "<id>",
                clientId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.workload_federation.v1.WorkloadFederationServiceDeleteTrustRequestInput:
      description: The WorkloadFederationServiceDeleteTrustRequest message.
      title: Workload Federation Service Delete Trust Request
      type: object
      x-speakeasy-name-override: WorkloadFederationServiceDeleteTrustRequest
    c1.api.workload_federation.v1.WorkloadFederationServiceDeleteTrustResponse:
      description: The WorkloadFederationServiceDeleteTrustResponse message.
      title: Workload Federation Service Delete Trust Response
      type: object
      x-speakeasy-name-override: WorkloadFederationServiceDeleteTrustResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````